extends LineEdit


func _enter_tree() -> void:
    ProjectSettings.connect('settings_changed', apply_colors)


func apply_colors():
    var is_light: bool = ProjectSettings.get_setting("application/config/Цвет темы программы", false)
    var style = get_theme_stylebox("read_only").duplicate()
    if is_light:
        style.bg_color = Color.GRAY
        add_theme_color_override("font_color_readonly", Color.BLACK)
        add_theme_color_override("font_color_placeholder", Color(0, 0, 0, 0.5))
    else:
        style.bg_color = Color(0.12, 0.12, 0.12)
        add_theme_color_override("font_color_readonly", Color("#D8731A")) # тёмно-оранжевый
        add_theme_color_override("font_color_placeholder", Color(1, 1, 1, 0.5))
    add_theme_stylebox_override("read_only", style)
